Bug 1293148 - texlive-2014 searches through ~/.texlive2013/ subdirectories instead of ~/.texlive2014/
texlive-2014 searches through ~/.texlive2013/ subdirectories instead of ~/.te...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: texlive (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-20 13:47 EST by Michal Jaegermann
Modified: 2016-01-24 17:45 EST (History)
3 users (show)

See Also:
Fixed In Version: texlive-2014-18.20140525_r34255.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-23 22:31:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2015-12-20 13:47:33 EST
Description of problem:

Looking at an output of 'kpsewhich -show-path=tex' I am finding now that subdirectories of ~/.texlive2013 are included in search while .texlive2014 would be expected (luatex, for example, wrote a while ago its cache into subdirectories of ~/.texlive2014/texmf-var/luatex-cache/).  It turns out that the current /usr/share/texlive/texmf-dist/web2c/texmf.cnf has these lines:

TEXMFVAR = ~/.texlive2013/texmf-var
TEXMFCONFIG = ~/.texlive2013/texmf-config

Moreover comments refer to "/some/path/to/texlive/2013/" as well.  That does not look as correct and intended.

Version-Release number of selected component (if applicable):
texlive-2014-16.20140525_r34255.fc23

Additional info:
On rawhide I see ~/.texlive2015/.... not that surprisingly.
Comment 1 Tom "spot" Callaway 2016-01-18 16:33:16 EST
I'm going to fix this in the texmf.cnf, but that file is marked as %config, so it won't get overwritten for a lot of people. Will fix new installs though, its the best I can do. As you noted, rawhide is correct, so this should go away for good when Fedora 23 is EOL (except for people dist upgrading...).
Comment 2 Michal Jaegermann 2016-01-18 17:08:59 EST
(In reply to Tom "spot" Callaway from comment #1)
> I'm going to fix this in the texmf.cnf, but that file is marked as %config,
> so it won't get overwritten for a lot of people.

It was using at some point in time ~/.texlive2014 (and I have traces of an evidence of that; unless this was from an F21 installation which got upgraded, ...hm).  Somehow texmf.cnf got overwritten and I am not sure now how this happened.
Comment 3 Fedora Update System 2016-01-19 22:16:12 EST
texlive-2014-18.20140525_r34255.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-74f2c23353
Comment 4 Fedora Update System 2016-01-20 18:57:33 EST
texlive-2014-18.20140525_r34255.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-74f2c23353
Comment 5 Fedora Update System 2016-01-23 22:31:38 EST
texlive-2014-18.20140525_r34255.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 6 Michal Jaegermann 2016-01-24 17:45:41 EST
(In reply to Tom "spot" Callaway from comment #1)
> I'm going to fix this in the texmf.cnf, but that file is marked as %config,
> so it won't get overwritten for a lot of people.

It surely got overwritten on an update for me and now I see again "2014". :-) That file was not modified from a distribution one so .rpmnew was not created.  It looks that ~/.texlive2014/ directories were at some point flipped back in this way to ~/.texlive2013/ in the first place.  Those who change texmf.cnf hopefully know what they are doing.

Note You need to log in before you can comment on or make changes to this bug.